%define module	XML-SAX-Writer
%define version	0.44
%define release	2mdk

Summary:	SAX2 Writer
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	Artistic
Group:		Development/Perl
Source0:	http://search.cpan.org/CPAN/authors/id/R/RB/RBERJON/%{module}-%{version}.tar.bz2
Patch:		%{module}-0.44.test.patch.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:	perl-Text-Iconv
BuildRequires:	perl-XML-Filter-BufferText
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildArch:	noarch

%description
A new XML Writer was needed to match the SAX2 effort because quite naturally no
existing writer understood SAX2. My first intention had been to start patching
XML::Handler::YAWriter as it had previously been my favourite writer in the
SAX1 world.

However the more I patched it the more I realised that what I thought was going
to be a simple patch (mostly adding a few event handlers and changing the
attribute syntax) was turning out to be a rewrite due to various ideas I'd been
collecting along the way. Besides, I couldn't find a way to elegantly make it
work with SAX2 without breaking the SAX1 compatibility which people are
probably still using. There are of course ways to do that, but most require
user interaction which is something I wanted to avoid.

So in the end there was a new writer. I think it's in fact better this way as
it helps keep SAX1 and SAX2 separated.

%prep
%setup -q -n %{module}-%{version}
%patch

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test

%clean 
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{perl_vendorlib}/XML
%{_mandir}/*/*

%changelog
* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.44-2mdk 
- spec cleanup
- don't ship useless empty directories
- make test in %%check

* Sun Jan 23 2005 Guillaume Rousse <guillomovitch@mandrake.org> 0.44-1mdk 
- first mdk release
